# RoloLudo

Utilities for table top role playing, starting with [Ironsworn](https://www.ironswornrpg.com/) and 
[Starforged](https://www.ironswornrpg.com/product-ironsworn-starforged).

To install it on Pharo/GToolkit first install [ExoRepo](https://code.tupale.co/Offray/ExoRepo) 
and then run from a Playground:

```smalltalk
  ExoRepo new
    repository: 'https://code.tupale.co/Offray/RoloLudo';
    load.
```

The first utilities connect JSON oracles with the [502Lab wiki](https://mutabit.com/repos.fossil/502Lab/uv/wiki/502Lab.html#) to facilitate translations. In the future it is expected to incorporate different utilities to make the game experience more fluid and minimalistic:

  *  Virtual dice.
  *  Querying of oracles and wiki.
  *  Bots connected to Telegram or other game channels.
  *  Querying and editing of character sheets.

**References**:

  *  [Dataforged](https://github.com/rsek/dataforged): Official Ironsworn: Starforged rules data in JSON, for use in community tools.
  *  [Datasworn](https://github.com/rsek/datasworn): JSON files of game data for the tabletop role-playing game Ironsworn, and its expansion, Ironsworn: Delve. For use in community-created tools, since it doesn't make sense to duplicate work on data entry.
  * [Stargazer conversions](https://github.com/nboughton/stargazer_conversions): This project provides scripts to convert JSON content forged with rsek data to match the models used in the Stargazer project.